import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/cyzh-person/keypeople/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/cyzh-person/keypeople/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/cyzh-person/keypeople/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/cyzh-person/keypeople/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/cyzh-person/keypeople/submit',
    method: 'post',
    data: row
  })
}

export const detailByParentId = (parentId) => {
  return request({
    url:'/api/cyzh-person/keypeople/detailByParentId',
    method: 'get',
    params: {
      parentId
    }
  })
}
